﻿using System;
using servicehost;
using servicehost.contract;

namespace myserver
{
    internal class Program
    {
        public static void Main(string[] args) {
            Console.Write("Service Uri: ");
            var uriText = Console.ReadLine();
            if (uriText == "") uriText = "http://localhost:8080";

            using (var sh = new ServiceHost()) {
                Console.WriteLine($"Running on {uriText}...");
                sh.Start(new Uri(uriText), new[]{typeof(MyService)});
                
                Console.Write("Waiting for ENTER to quit");
                Console.ReadLine();
                
                sh.Stop(); // optional within scope of using{}
            }
        }
    }

    [Service]
    public class MyService
    {
        [EntryPoint(HttpMethods.Get, "/hello")]
        public string Greeting()
            => $"Hello, world! {DateTime.Now}";
    }
}